<template>
    <div>
        <h3>SignUp</h3>
        <div class="container">
            <!-- Content here -->

            <div class="register">

                <div class="d-flex justify-content-center">

                    <div class="form-group">
                        <input class="form-control m-2" v-model="name" type="text" placeholder="name">
                        <input class="form-control m-2" v-model="email" type="email" placeholder="email">
                        <input class="form-control m-2" v-model="password" type="password" placeholder="password">
                        <button class="btn btn-primary" v-on:click="signUp">Submit</button>
                    </div>

                </div>

            </div>
        </div>
    </div>
</template>
<script>

// Import dependencies...
import axios from 'axios'

export default {
    name: 'SignUp',
    data(){
        return {
            name:'',
            email:'',
            password:'',
        }
    },
    methods: {
        async signUp(){
            let result = await axios.post("http://localhost:3000/users",{
                email: this.email,
                name: this.name,
                password: this.password
            });
            console.warn(result);

            if(result.status == 201){
                alert('SignUp Done!!');
            }
            localStorage.setItem("user-info",JSON.stringify(result.data));

        }
    },
}
</script>